Sunteți pe pagina 1din 55

Intro to ABAQUS

Rob Matthews ECS (French Building Room 004) rob.matthews@coe.gatech.edu MWF 12-4, TR 8-12
http://www.prism.gatech.edu/~rmatthews3/

HELP !!!
ABAQUS help not very helpful Lots of information Poor organization Even worse search utility Getting started with ABAQUS Online material

Start Here

http://cee.uiuc.edu/paulino/cee478/handouts/gangli.pdf http://cee.uiuc.edu/paulino/cee478/handouts/gangli.pdf http://cee.uiuc.edu/paulino/cee478/femmain.htm http://www.engin.brown.edu/courses/en175/Abaqustut/abaqustut.htm http://www.ae.gatech.edu/people/jcraig/classes/ae4131/index.html http://maecourses.ucsd.edu/mae232a/Belytschko_Book_files/Ch11.pdf

Overview
What is ABAQUS, and what can it do? ABAQUS general program structure Getting acquainted with ABAQUS CAE General modeling steps Static Cantilever Beam example Modal Turbine Blade example

What can ABAQUS do?


What cant ABAQUS do
Computational fluid dynamics, Electromagnetics, Magicgarbage in garbage out

What can ABAQUS do


Most anything structurally related; elastostatic, elastodynamic, stability, heat transfer, soils, etc.

ABAQUS Nonlinear Analysis


Material nonlinearity User defined materials Geometric nonlinearity Large deformations BC nonlinearity Contact, mechanisms

Program Structure
Preprocessor geometry, materials, mesh, loads, BCs abaqus cae Postprocessor pretty plots, graphs, data files abaqus viewer

Python script .py or .rpy

Job.inp
Job.odb, Job.res Job.dat, Job.fil Solver Number crunching guts, Abaqus/standard Abaqus/explicit

ABAQUS CAE Layout


Main Menu New, Open, Save, Print Selection Tools Display Tools

Abaqus/Viewer Abaqus/CAE

Module, Model, & Part Selectors

Model Tree Module Tools Viewport Area

Message Area Command Line

General Modeling Steps


1.

Clearly define the problem at hand


Sketches, material properties, BCs & ICs, assumptions, plan of action

2. 3. 4. 5.

Create part geometry ABAQUS/CAE or Pro/E, SolidEdge, etc. .iges file Specify/assign Material properties Create model assembly if necessary Define analysis steps initial step if for (displacement) BCs, create other steps for load cases of interest
Define output requests, time step increments, etc. for each analysis step Define/assign (non-displacement) BCs, ICs to load steps

6. 7.

Define elements, controls, & mesh parts Submit analysis


>abaqus job=filename.inp

8.

Review the results


>abaqus viewer database=filename.odb

9.

Make corrections and repeat as needed


DO THE RESULTS MAKE PHYSICAL SENSE!!!!!!!!!!

Cantilever Beam Example


Getting Started with ABAQUS: Appendix B
Problem description: Static (linear-elastic) stress analysis of a steel cantilever beam under an applied pressure load Steel properties: E=209E3 MPa, n=0.3 BCs: Fixed left end => (no x, y, or z displacements or rotations) Loads: 0.5 MPa static pressure on top surface

NOTE: ALL FEA SOFTWARE IS UNITLESS YOU MUST BE CONSISTENT!!! Example: What is the English unit for mass?

Create the Geometry


Start ABAQUS CAE Create Model Database DBL-Click Parts Fill out Dialog
Name = BEAM 3D, Deformable, Solid, Extrusion Approx. Size = 300

Rectangle Bar
1. 2. 3. 4. Draw the rectangle Edit the dimensions Click Done Depth = 25 OK

Try: Ctrl-Alt LMB Scroll

Python CLI (Check out C:\Temp\abaqus.rpy)

abaqus.rpy
from abaqus import * from abaqusConstants import * session.Viewport(name='Viewport: 1', origin=(0.0, 0.0), width=94.5, height=66.5624957680702) session.viewports['Viewport: 1'].makeCurrent() session.viewports['Viewport: 1'].maximize() from caeModules import * from driverUtils import executeOnCaeStartup executeOnCaeStartup() Mdb() #: A new model database has been created. #: The model "Model-1" has been created. session.viewports['Viewport: 1'].setValues(displayedObject=None) s = mdb.models['Model-1'].ConstrainedSketch(name='__profile__', sheetSize=300.0) g, v, d, c = s.geometry, s.vertices, s.dimensions, s.constraints s.setPrimaryObject(option=STANDALONE) s.rectangle(point1=(-25.0, 10.0), point2=(55.0, -20.0)) s.ObliqueDimension(vertex1=v[3], vertex2=v[0], textPoint=(-12.085789680481, 16.9377517700195), value=200.0) s.ObliqueDimension(vertex1=v[0], vertex2=v[1], textPoint=(-39.5603218078613, -1.47590291500092), value=20.0) p = mdb.models['Model-1'].Part(name=BEAM', dimensionality=THREE_D, type=DEFORMABLE_BODY) p = mdb.models['Model-1'].parts[BEAM'] p.BaseSolidExtrude(sketch=s, depth=25.0) s.unsetPrimaryObject() p = mdb.models['Model-1'].parts[BEAM'] session.viewports['Viewport: 1'].setValues(displayedObject=p) del mdb.models['Model-1'].sketches['__profile__']

But I digressMaterial

DBL Click

Sections ???
What is a section and why do we need it?
A section is essentially a reference to a material model (steel, wood, etc.) Suppose a single part geometry with different regions having different material props or a model space with multiple parts Sections provide a mechanism to assign different material properties to different part regions or different parts, etc.

Section Creation
DBL Click Sections
Name =BeamSection Solid Homogeneous

Continue
Material = Steel

OK

Section Assignment

Part will turn green

Assembly (like Pro/E, SolidEdge, )

Analysis Steps
Initial Step created by Abaqus
Use for displacement BCs (base state before loads)

Create other steps as needed General Step


Linear or nonlinear analysis

Linear Perturbation Step


Linear analysis based on instantaneous state and instantaneous modulus

Step Solution Controls


Lots of options Typically dont mess with this unless you know what youre doing Most options relate to nonlinear analyses

Output Request Manager

Applying Fixed-End BC

Fixed-End BC Contd

Applied Load BC (Similar Process)

Applied Load BC Contd

Meshing the Beam

Element Type: 3D Quadratic Brick


Why not Linear?
s~e e ~ u Linear u => constant u => constant e & s in the element

Why Linear?
Less expensive for non-linear analyses

Seeding the Part


Seeds are just boundary edge nodes used for initiating a mesh seed size ~ mesh density

Creating the Mesh

Creating a Job for our Model


DBL-Click Jobs Create a new Job Edit Job some pretty handy features & lots of options

Submitting the Job

C:\Temp\BeamJob.inp
*Heading Cantilever beam under pressure ** Job name: BeamJob Model name: Model-1 *Preprint, echo=NO, model=NO, history=NO, contact=NO ** ** PARTS ** *Part, name=BEAM *Node 1, 155., 15., 25. 2, 155., 5., 25. 3, 155., -5., 25. 4, 155., 15., 16.666666

Viewing Results

Other Results

A Real World Problem


Jet Engine Compressor Blade
Fixed base Rotation body forcepull Gas Pressure forces of blades pressure side Vibrational modes Ignoring temperature effects for now

Problem Specs
Steel Compressor Blade
E = 2.09E11 Pa n = 0.3 r = 7860 kg/m^3

20 mm

P
70 mm

Blade Span = 0.070m Blade Chord = 0.020m Blade Pitch = 0.5m More Dimensions on next slide Angular velocity = 1000 rad/sec Gas Pressure = 12000 Pa Axis of rotation = 0.050 m from blade base (twist point) Blade base is fixed Want first 20 mode shapes and natural frequencies for the spinning and pressurized blade Ignore temperature effects & assume linear elastic behavior

w
FIXED

50 mm

Geometry (X-section)

Geometry (Extrude Step)


When making the extrusion specify a pitch for the part = 0.5 (2-3 view should appear as below)

Material: Steel

Section(s): Create & Assign


Essentially exact same procedure as before
BladeSection material = Steel Assign BladeSection to the part blade

Mesh (Element Type - 3D quad brick)

Mesh: Seed the Part (size=.00185)

Finish the Mesh

Assembly

Assembly Contd
Use the translate command to offset the blade so that it is 50mm (along z-axis) from global origin this way we can use the global x-axis as our rotation axis

Define Analysis Steps


Initial Step (created by ABAQUS)
Here will go our fixed end BC

Create a Tension Step


General, Static step Here will go our rotation body force

Create a Pressure Step


General, Static step Here will go our pressure

Create a Modal Step


Linear Perturbation, Frequency step No BCs or loads just a modal analysis

Modal Step Options

Define BC (FixedBase for Initial Step)

Define Load for Tension Step

Define Load for Pressure Step

Create & Submit Job & Look at the Results

Results: Getting Set Up

Results: Rotational Results

Results: Rotation + Pressure

Results: Mode 2

Results: Mode 7 & so on

THE END!!!!

S-ar putea să vă placă și